#include <stdio.h>
#include <handy.h>

void throwup(double xv, double yv, hgcolor clr)
{
    int i;
    double x = 0.0, y = 0.0;
    double g = 2.0;

    HgSetColor(clr);
    HgMoveTo(x, y);
    for (i = 1; y >= 0.0 && x <= 600; i++) {
        x += xv;
        y += yv;
        yv -= g;
        HgLineTo(x, y);
    }
}

int main(void)
{
    HgOpen(600, 400);
    HgSetWidth(2.0);
    throwup(20.0, 20.0, HG_BLUE);
    throwup(20.0, 30.0, HG_RED);
    throwup(30.0, 20.0, HG_GREEN);
    throwup(10.0, 35.0, HG_ORANGE);
    getchar();
    return 0;
}
