#include "sorting.h"

const char *sortname = "Quick Sort";

static void quicksort(int a[], int pos, int end)
{
    if (pos < end) {
        int i, j;
        int key = a[pos];
        for (i = pos, j = end; ; i++, j--) {
            while (a[i] < key) {
                i++; count++;
            }
            count++;
            while (a[j] > key) {
                j--; count++;
            }
            count++;
            if (i >= j)
                break;
            swap(a, i, j);
        }
        quicksort(a, pos, i-1);
        quicksort(a, j+1, end);
    }
}

void sort(int a[], int n)
{
    quicksort(a, 0, n-1);
}
